// Code generated by protoc-gen-go-enum. DO NOT EDIT.

// source: example/example.proto
package example

import (
	"strings"
)

const (
	enumPrefix = "com.akorda"
	eventSep   = "_EVENT_"
)

func (x DocumentEvent) EventName() string {

	split := strings.Split(x.String(), eventSep)

	if len(split) <= 1 { // malforned enum value
		return ""
	}

	var items []string
	if enumPrefix != "" {
		items = append(items, enumPrefix)
	}

	items = append(items, strings.ToLower(strings.Join(split[0:len(split)-1], "_"))) //resource name
	items = append(items, strings.ToLower(split[len(split)-1]))                      //verb

	return strings.Join(items, ".")
}

func (x SavedSearchEvent) EventName() string {

	split := strings.Split(x.String(), eventSep)

	if len(split) <= 1 { // malforned enum value
		return ""
	}

	var items []string
	if enumPrefix != "" {
		items = append(items, enumPrefix)
	}

	items = append(items, strings.ToLower(strings.Join(split[0:len(split)-1], "_"))) //resource name
	items = append(items, strings.ToLower(split[len(split)-1]))                      //verb

	return strings.Join(items, ".")
}

func (x ExampleEvent) EventName() string {

	split := strings.Split(x.String(), eventSep)

	if len(split) <= 1 { // malforned enum value
		return ""
	}

	var items []string
	if enumPrefix != "" {
		items = append(items, enumPrefix)
	}

	items = append(items, strings.ToLower(strings.Join(split[0:len(split)-1], "_"))) //resource name
	items = append(items, strings.ToLower(split[len(split)-1]))                      //verb

	return strings.Join(items, ".")
}
